---
title: HTMLInputElement.multiple
slug: Web/API/HTMLInputElement/multiple
tags:
  - API
  - HTML DOM
  - HTMLInputElement
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLInputElement.multiple</code></strong> property indicates if an input can have more than one value. Firefox currently only supports <code>multiple</code> for <code>&lt;input type="file"&gt;</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js notranslate">// fileInput is a &lt;input type=file multiple&gt;
let fileInput = document.getElementById('myfileinput');

if (fileInput.multiple == true) {

  for (let i = 0; i &lt; fileInput.files.length; i++) {
    // Loop fileInput.files
  }

// Only one file available
} else {
  let file = fileInput.files.item(0);
}
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en/DOM/FileList" title="en/DOM/FileList">FileList</a></li>
 <li><a class="link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=523771">Bug 523771</a> - <span class="bz_default_hidden" id="summary_alias_container" style="display: inline;"> <span id="short_desc_nonedit_display">Support &lt;input type=file multiple&gt;</span> </span></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#attr-input-multiple", "multiple")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLInputElement.multiple")}}</p>
